LeafTreeNode (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.swing
Class LeafTreeNode

    java.lang.Object
      org.dom4j.swing.LeafTreeNode

All Implemented Interfaces:
  TreeNode

Direct Known Subclasses:
  BranchTreeNode

public class LeafTreeNode
extends Object
implements TreeNode

`LeafTreeNode` implements the Swing TreeNode interface to bind a leaf XML nodes to a Swing TreeModel.

Version:
  $Revision: 1.7 $
Author:
  James Strachan , Jakob Jenkov

Field Summary
`protected static Enumeration` | `EMPTY_ENUMERATION`
`protected Node` | `xmlNode` The dom4j Node which contains the

Constructor Summary
`LeafTreeNode()`
`LeafTreeNode(Node xmlNode)`
`LeafTreeNode(TreeNode parent, Node xmlNode)`

Method Summary
`Enumeration` | `children()`
`boolean` | `getAllowsChildren()`
`TreeNode` | `getChildAt(int childIndex)`
`int` | `getChildCount()`
`int` | `getIndex(TreeNode node)`
`TreeNode` | `getParent()`
`Node` | `getXmlNode()`
`boolean` | `isLeaf()`
`void` | `setParent(LeafTreeNode parent)` Sets the parent of this node but doesn't change the parents children
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EMPTY_ENUMERATION

    protected static final Enumeration EMPTY_ENUMERATION

### xmlNode

    protected Node xmlNode

  The dom4j Node which contains the

Constructor Detail

### LeafTreeNode

    public LeafTreeNode()

### LeafTreeNode

    public LeafTreeNode(Node xmlNode)

### LeafTreeNode

    public LeafTreeNode(TreeNode parent,
                        Node xmlNode)

Method Detail

### children

    public Enumeration children()

  Specified by:
    `children` in interface `TreeNode`

### getAllowsChildren

    public boolean getAllowsChildren()

  Specified by:
    `getAllowsChildren` in interface `TreeNode`

### getChildAt

    public TreeNode getChildAt(int childIndex)

  Specified by:
    `getChildAt` in interface `TreeNode`

### getChildCount

    public int getChildCount()

  Specified by:
    `getChildCount` in interface `TreeNode`

### getIndex

    public int getIndex(TreeNode node)

  Specified by:
    `getIndex` in interface `TreeNode`

### getParent

    public TreeNode getParent()

  Specified by:
    `getParent` in interface `TreeNode`

### isLeaf

    public boolean isLeaf()

  Specified by:
    `isLeaf` in interface `TreeNode`

### toString

    public String toString()

### setParent

    public void setParent(LeafTreeNode parent)

  Sets the parent of this node but doesn't change the parents children

  Parameters:
    `parent` - DOCUMENT ME!

### getXmlNode

    public Node getXmlNode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.